# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# sitelib for noarch packages
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           oggconvert
Version:        0.3.3
Release:        alt1_6
Summary:        Convert media files to Free formats

Group:          Sound
License:        LGPLv2+
URL:            http://launchpad.net/oggconvert
Source0:	http://oggconvert.tristanb.net/releases/%{version}/oggconvert-%{version}.tar.gz
# Patch0: 	oggconvert-0.3.2-desktop.patch -- Not needed in 0.3.3
Requires:	pygtk2 >= 2.10
Requires:	gstreamer >= 0.10.12 gst-plugins-base
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:	pygtk2 >= 2.10 python-module-pygtk >= 2.10
BuildRequires:  gstreamer >= 0.10.12 python-module-gst gst-plugins-base
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Source44: import.info

%description
# Description from site
OggConvert is a small GNOME utility that uses GStreamer 
to convert media files to the patent-free Theora
and Vorbis formats. It also supports the Dirac format,
through the schrodinger codec. It's painfully easy to use, 
changing the quality settings and the output 
filename is simple. It uses GStreamer, so it can 
convert (almost) any file which Totem can play. 
It can deal with audio-only files, video-only files, 
and files with many audio tracks (such as DVD rips with 
a commentary track). Thanks to the magic of GStreamer, metadata 
(for example, title and artist info on an MP3) is preserved. 
Finally, it adheres to the GNOME HIG as much as possible.

%prep
%setup -q
# %patch0 -p1 - Not needed for 0.3.3

%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --vendor="fedora" --delete-original        \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications               \
  --add-category X-OutputGeneration                           \
  %{buildroot}/%{_datadir}/applications/oggconvert.desktop
%find_lang %{name}

 
%files -f %{name}.lang

%doc README COPYING AUTHORS TODO ChangeLog PKG-INFO
# For noarch packages: sitelib
%{python_sitelibdir_noarch}/OggConvert/
%{_bindir}/oggconvert
%{_datadir}/applications/fedora-oggconvert.desktop
%{_datadir}/pixmaps/oggconvert.svg
%{python_sitelibdir_noarch}/oggconvert-%{version}-py?.?.egg-info

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_6
- initial fc import

